Security Enhanced Linux Reference Policy

# Layer: services

## Module: dovecot

Tunables Interfaces

### Description:

POP and IMAP mail server.

### Tunables:

dovecot_can_connect_db

##### Default value

false

##### Description

Determine whether dovecot can connect to databases.

Return

### Interfaces:

dovecot_admin( domain , role )

##### Summary

All of the rules required to administrate an dovecot environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

dovecot_domtrans_deliver( domain )

##### Summary

Execute dovecot_deliver in the dovecot_deliver domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dovecot_dontaudit_unlink_lib_files( domain )

##### Summary

Do not audit attempts to delete dovecot lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

dovecot_manage_spool( domain )

##### Summary

Create, read, write, and delete dovecot spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dovecot_read_config( domain )

##### Summary

Read dovecot configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dovecot_stream_connect( domain )

##### Summary

Connect to dovecot using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dovecot_stream_connect_auth( domain )

##### Summary

Connect to dovecot using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dovecot_write_inherited_tmp_files( domain )

##### Summary

Write inherited dovecot tmp files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

Return